Index: tmp/org.txm.analec.rcp/src/visuAnalec/chaines/ChaineUtil.java
===================================================================
--- tmp/org.txm.analec.rcp/src/visuAnalec/chaines/ChaineUtil.java	(revision 3077)
+++ tmp/org.txm.analec.rcp/src/visuAnalec/chaines/ChaineUtil.java	(revision 3078)
@@ -283,7 +283,7 @@
 	// détermine la longueur des chaines en caractères
 	public static ArrayList<Integer> longueurChaineCaractere(String[] types, Vue vue) {
 		String[] typeschaine = vue.getTypesSchemasAVoir();
-		ArrayList<Integer> retour = new ArrayList();
+		ArrayList<Integer> retour = new ArrayList<>();
 		for (String type : typeschaine) {
 			Schema[] chaines = vue.getSchemas(type);
 			for (Schema chaine : chaines) {
@@ -305,7 +305,7 @@
 	// dans "types"
 	public static ArrayList<Integer> longueurChaineMot(String[] types, Vue vue) {
 		String[] typeschaine = vue.getTypesSchemasAVoir();
-		ArrayList<Integer> retour = new ArrayList();
+		ArrayList<Integer> retour = new ArrayList<>();
 		for (String type : typeschaine) {
 			Schema[] chaines = vue.getSchemas(type);
 			for (Schema chaine : chaines) {
@@ -332,7 +332,7 @@
 	// calcule le nombre de chainons(unités) dont le type est contenu dans "types" de chaque chaine
 	public static ArrayList<Integer> nombreDeChainons(String[] types, Vue vue) {
 		String[] typeschaines = vue.getTypesSchemasAVoir();
-		ArrayList retour = new ArrayList();
+		ArrayList<Integer> retour = new ArrayList<>();
 		for (String type : typeschaines) {
 			Schema[] chaines = vue.getSchemas(type);
 			for (Schema chaine : chaines) {
@@ -477,7 +477,7 @@
 	// on enlève les unités dont le numero de paragraphe appartient à Noparagraphe
 	public static Unite[] filtreparagraphe(Unite[] donnees, ArrayList<Integer> Noparagraphemasque, Vue vue) {
 		HashMap<Unite, Integer> noparagraphe = unitenumeroparagraphe(donnees, vue);
-		ArrayList<Unite> unitefiltrees = new ArrayList();
+		ArrayList<Unite> unitefiltrees = new ArrayList<>();
 		for (Unite unit : donnees) {
 			if (!(Noparagraphemasque.contains(noparagraphe.get(unit)))) {
 				unitefiltrees.add(unit);
@@ -697,14 +697,14 @@
 	public static void fusionTypeUnite(Vue vue) {
 		// on initialise les propriétés du nouveau type
 		long deb = System.nanoTime();
-		HashSet<String> nomsChamps = new HashSet();
+		HashSet<String> nomsChamps = new HashSet<>();
 		for (String champ : (vue.getTypesUnitesAVoir().length == 0 ? new String[0] : vue.getNomsChamps(Unite.class, vue.getTypesUnitesAVoir()[0]))) {
 			nomsChamps.add(champ);
 		}
 		// les propriétés du nouveau seront l'intersection des propriétés de tous les types
 		for (String type : vue.getTypesUnitesAVoir()) {
 			HashSet<String> nomsChampNonFiltres = (HashSet<String>) nomsChamps.clone();
-			nomsChamps = new HashSet();
+			nomsChamps = new HashSet<>();
 			for (String champ : vue.getNomsChamps(Unite.class, type)) {
 				// si le champ est partagé par tous les autres types d'unités déjà passé en revue
 				// alors on l'ajoute à l'intersection provisoire
@@ -738,8 +738,8 @@
 	 */
 	public static Schema[] conversion(String source, String nomType, String typeSource, String primaryKey, String[] otherKey,
 			Vue vue) {
-		ArrayList<Schema> retour = new ArrayList();
-		HashMap<String, Schema> triSchema = new HashMap();
+		ArrayList<Schema> retour = new ArrayList<>();
+		HashMap<String, Schema> triSchema = new HashMap<>();
 		long deb = System.nanoTime();
 		switch (source) {
 			case "Relation":
@@ -908,7 +908,7 @@
 	public static ArrayList<Float[]> coef_spline_quad(Integer[] abscisse, Integer[] ordonnee) {
 		Float[] coef_abs = new Float[abscisse.length];
 		Float[] coef_ord = new Float[ordonnee.length];
-		ArrayList<Float[]> retour = new ArrayList();
+		ArrayList<Float[]> retour = new ArrayList<>();
 		coef_abs[0] = 0.0f;
 		for (int i = 1; i < abscisse.length; i++) {
 			coef_abs[i] = 1.0f * 2 * (ordonnee[i] - ordonnee[i - 1]) / (abscisse[i] - abscisse[i - 1]);
